﻿@model WebApp.ViewModels.Admin.RouteAdminViewModel
@{
    ViewBag.Title = "Create route";
}

<h2>Create route</h2>

@using (Html.BeginForm("CreateRoute", "Admin", FormMethod.Post, new { @class = "form-horizontal" }))
{
    @Html.ValidationSummary(false)

    <div class="form-group">
        @Html.Label("From station id:", new { @class = "col-sm-2 control-label" })
        <div class="col-sm-10">
            @Html.TextBoxFor(t => t.StationIdFrom, new { @class = "form-control", type = "number" })
        </div>
    </div>
    <div class="form-group">
        @Html.Label("To station id:", new { @class = "col-sm-2 control-label" })
        <div class="col-sm-10">
            @Html.TextBoxFor(t => t.StationIdTo, new { @class = "form-control", type = "number" })
        </div>
    </div>
    <div class="form-group">
        @Html.Label("Time in route", new { @class = "col-sm-2 control-label" })
        <div class="col-sm-10">
            @Html.TextBoxFor(t => t.TimeInRoute, new { @class = "form-control", type = "number" })
        </div>
    </div>
    <div class="form-group">
        @Html.Label("Cost:", new { @class = "col-sm-2 control-label" })
        <div class="col-sm-10">
            @Html.TextBoxFor(t => t.Cost, new { @class = "form-control", type = "number" })
        </div>
    </div>
    <div class="form-group">
        <div class="col-sm-offset-2 col-sm-10">
            @Html.CheckBoxFor(t => t.IsDeleted) Is Deleted
        </div>
    </div>
    @Html.HiddenFor(t => t.Id)
    <div class="form-group">
        <div class="col-sm-offset-2 col-sm-10">
            <button type="submit" class="btn btn-default">Create</button>
        </div>
    </div>
}

